# $NetBSD$

BUILDLINK_DEPTH:=	${BUILDLINK_DEPTH}+
LIBUPNP_BUILDLINK3_MK:=	${LIBUPNP_BUILDLINK3_MK}+

.if !empty(BUILDLINK_DEPTH:M+)
BUILDLINK_DEPENDS+=	libupnp
.endif

BUILDLINK_PACKAGES:=	${BUILDLINK_PACKAGES:Nlibupnp}
BUILDLINK_PACKAGES+=	libupnp
BUILDLINK_DEPENDS.libupnp?=		libupnp>=1.0.4
BUILDLINK_RECOMMENDED.libupnp?=		libupnp>=1.0.4
BUILDLINK_PKGSRCDIR.libupnp?=		../../obache/libupnp

#BUILDLINK_FILES.libupnp+=	include/libupnp/*.h
BUILDLINK_FILES.libupnp+=	include/libupnp/upnp.h
#BUILDLINK_FILES.libupnp+=	include/libupnp/tools/*.h
#BUILDLINK_FILES.libupnp+=	include/libupnp/upnpdom/*.h
BUILDLINK_FILES.libupnp+=	lib/libupnp.*

.include "../../wip/libuuid/buildlink3.mk"
.include "../../mk/pthread.buildlink3.mk"

BUILDLINK_DEPTH:=	${BUILDLINK_DEPTH:S/+$//}

