--- gate.cpp.orig	Tue Jan 14 06:04:30 2003
+++ gate.cpp	Mon Jun 21 13:51:09 2004
@@ -124,9 +124,11 @@
 	{
 		syslog(LOG_ERR, "DeviceStateTableInit -- Error Parsing %s\n", DescDocURL);
 		ret =UPNP_E_INVALID_DESC;
-	}
+	} else {
 
 	gate_udn = SampleUtil_GetFirstDocumentItem(DescDoc, "UDN");
+	}
+	if(DescDoc) UpnpDocument_free(DescDoc);
 
 	return (ret);
 }
@@ -334,7 +336,7 @@
 {
 	char result_str[500];
 	char dev[15];
-        char *iface;
+        char *iface=NULL;
         FILE *stream;
         unsigned long bytes=0,total=0;
 
@@ -374,7 +376,7 @@
 {
 	char result_str[500];
 	char dev[15];
-        char *iface;
+        char *iface=NULL;
         FILE *stream;
         unsigned long pkt=0, total=0;
 
@@ -412,7 +414,7 @@
 {
 	char result_str[500];
 	char dev[15];
-        char *iface;
+        char *iface=NULL;
         FILE *stream;
         unsigned long pkt=0, total=0;
 
@@ -669,6 +671,9 @@
 		ca_event->ActionResult = NULL;
 	}
 	
+	if(proto) delete [] proto;
+	if(ext_port) delete [] ext_port;
+
 	return (ca_event->ErrCode);
 }
 
